jQuery( document ).ready( function()  {
	if ( ! jQuery( '#the-list' ).find( 'tr:first-child' ).hasClass( 'no-items' )  )  {
		jQuery( '#the-list' ).sortable({
			placeholder: 'tax-drop-placeholder', axis: 'y', start: function( event, ui )  {
				var height = jQuery( ui.item[0]).css( 'height' ) ;
				jQuery( '.tax-drop-placeholder' ).css( 'height', height ) ;
			},
			update: function( event, ui )  {
				jQuery( ui.item[0]).find( 'input[type="checkbox"]' ).hide().after( '<img src="' + TaxonomyPosition.preloader_url + '" class="taxonomy-priority-preloader" />' ) ;
				var UpdatedArray = [];
				jQuery( '#the-list' ).find( 'tr' ).each( function() {
					var TaxID = jQuery( this ).attr( 'id' ).replace( 'tag-', '' );
					UpdatedArray.push([ TaxID, jQuery( this ).index() ]);
				});
				var data = { 'action': 'update_taxonomy_order', 'updated_array': UpdatedArray };
				jQuery.post( TaxonomyPosition.ajax_url, data, function( response )  {
					jQuery( '.taxonomy-priority-preloader' ).remove() ;
					jQuery( ui.item[0]).find( 'input[type="checkbox"]' ).show() ;
				});
			}
		});
	}
});
