<?php
/**
 * Search functionality for themes.
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Only search the custom post types specified.
 *
 * @param [type] $query [description].
 */
function cm_search_filter( $query ) {
	if ( ! $query->is_admin && $query->is_search ) {
		$query->set(
			'post_type',
			array(
				'page',
				'post',
				'product',
			)
		);
	}
	return $query;
}
add_filter( 'pre_get_posts', 'cm_search_filter' );
