<?php
/**
 * Pagination partial for CPT archives. Needs work.
 *
 * @package WordPress
 * @version 1.0
 */

global $this_cpt;
if ( $this_cpt->max_num_pages > 1 ) {
	echo '<div class="page--pagination">';
	global $this_cpt;
	$big = 999999999;
	echo wp_kses_post(
		paginate_links(
			array(
				'add_args'  => '',
				'base'      => esc_attr( str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ) ),
				'current'   => max( 1, get_query_var( 'paged' ) ),
				'end_size'  => 3,
				'format'    => '?paged=%#%',
				'mid_size'  => 3,
				'next_text' => get_fa( 'fa-angle-right' ),
				'prev_text' => get_fa( 'fa-angle-left' ),
				'total'     => $this_cpt->max_num_pages,
				'type'      => 'list',
			)
		)
	);
	echo '</div>';
};
$the_post_type = get_post_type( get_the_ID() );
$total_posts   = wp_count_posts( $the_post_type );
if ( ! is_page() && is_singular( $the_post_type ) ) {
	$published = $total_posts->publish;
	if ( $published > 1 ) {
		echo '<div class="page--pagination page--pagination--single">';
		echo '<ul>';
		echo '<li class="older">';
		previous_post_link( '%link', get_fa( 'fa-angle-left' ) . ' Older' );
		echo '</li>';
		echo '<li class="newer">';
		next_post_link( '%link', 'Newer ' . get_fa( 'fa-angle-right' ) );
		echo '</li>';
		echo '</ul>';
		echo '</div>';
	}
};
