<?php
/**
 * Map partial - uses location details to generate a map.
 *
 * @package WordPress
 * @version 1.0
 */

$location_id        = get_option( 'theme_location_id' );
$location_map_embed = get_post_meta( $location_id, '_location_map_embed', true );
if ( $location_map_embed && strpos( $location_map_embed, 'google' ) !== false ) {
	// Only output if the content contains 'google'.
	echo '<div class="map">';
	echo wp_kses(
		$location_map_embed,
		array(
			'iframe' => array(
				'height' => array(),
				'src'    => array(),
				'style'  => array(),
				'width'  => array(),
			),
		)
	);
	echo '</div>';
}
wp_reset_postdata();
