<?php
/**
 * Social media partial for theme.
 *
 * @package WordPress
 * @version 1.0
 */

$facebook    = get_option( 'options_social_facebook' );
$instagram   = get_option( 'options_social_instagram' );
$linkedin    = get_option( 'options_social_linkedin' );
$pinterest   = get_option( 'options_social_pinterest' );
$tripadvisor = get_option( 'options_social_tripadvisor' );
$twitter     = get_option( 'options_social_twitter' );
$vimeo       = get_option( 'options_social_vimeo' );
$youtube     = get_option( 'options_social_youtube' );
// Do the thing.
if ( $facebook . $instagram . $linkedin . $pinterest . $tripadvisor . $twitter . $vimeo . $youtube ) {
	echo '<ul class="site-social">';
	if ( $facebook ) {
		echo '<li><a href="' . esc_url( $facebook ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-facebook-f' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $facebook )['path'] ) . '</span></a></li>';
	}
	if ( $instagram ) {
		echo '<li><a href="' . esc_url( $instagram ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-instagram' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $instagram )['path'] ) . '</span></a></li>';
	}
	if ( $linkedin ) {
		echo '<li><a href="' . esc_url( $linkedin ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-linkedin-in' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $linkedin )['path'] ) . '</span></a></li>';
	}
	if ( $pinterest ) {
		echo '<li><a href="' . esc_url( $pinterest ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-pinterest-p' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $pinterest )['path'] ) . '</span></a></li>';
	}
	if ( $tripadvisor ) {
		echo '<li><a href="' . esc_url( $tripadvisor ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-tripadvisor' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $tripadvisor )['path'] ) . '</span></a></li>';
	}
	if ( $twitter ) {
		echo '<li><a href="' . esc_url( $twitter ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-twitter' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $twitter, PHP_URL_PATH )['path'] ) . '</span></a></li>';
	}
	if ( $vimeo ) {
		echo '<li><a href="' . esc_url( $vimeo ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-vimeo-v' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $vimeo )['path'] ) . '</span></a></li>';
	}
	if ( $youtube ) {
		echo '<li><a href="' . esc_url( $youtube ) . '" class="social" target="_blank" rel="nofollow">' . wp_kses_post( get_fab( 'fa-youtube' ) ) . '<span class="hidden">' . esc_html( wp_parse_url( $youtube )['path'] ) . '</span></a></li>';
	}
	echo '</ul>';
}
