<?php
/**
 * Sidebar template
 *
 * @package WordPress
 * @version 1.0
 */

if ( is_blog() ) {
	// Count the categories.
	$args             = array(
		'exclude'    => '1',
		'get'        => 'all',
		'hide_empty' => 1,
	);
	$categories       = get_categories( $args );
	$total_categories = count( $categories );
	// If there's more than one category, show the list.
	if ( $total_categories >= 1 ) {
		echo '<ul class="sidebar-categories">';
		wp_list_categories(
			array(
				'hide_empty'       => 1,
				'orderby'          => 'name',
				'show_count'       => 1,
				'show_option_none' => '',
				'title_li'         => '',
			)
		);
		echo '</ul>';
	}
	echo '<ul class="sidebar-archives">';
	cm_show_archives_monthly();
	cm_show_archives_yearly(
		array(
			'type' => 'yearly',
		)
	);
	echo '</ul>';
};
