<?php
/**
 * 404 page.
 *
 * @package WordPress
 * @version 1.0
 */

get_header(); ?>
<main class="content page page--internal page--404">
	<article class="container">
		<section class="main">
			<?php
			get_template_part( 'partials/menu/breadcrumbs' );
			get_template_part( 'partials/content/title' );
			?>
			<p>The content you are looking for cannot be found. Please <a href="<?php echo esc_html( home_url() ); ?>">return to the home page</a> or make a selection from the menu.</p>
			<?php get_template_part( 'searchform-404' ); ?>
		</section>
	</article>
</main>
<?php
get_footer();
