<?php
/**
 * Create sitemap.xml file in root directory of site.
 *
 * @package WordPress
 * @version 1.0
 */

/**
 * Generate the sitemap.
 *
 * @param [type] $template [desc].
 */
function theme_sitemap_redirect( $template ) {
	global $wp;
	if ( 'sitemap.xml' === $wp->request ) {
		return get_stylesheet_directory() . '/functions/sitemap/generate.php';
	}
	return $template;
}
add_filter( 'template_include', 'theme_sitemap_redirect' );
