<?php
/**
 * Archive partial for 'brand' CPT. Edit this as required.
 * Generic for now, will become more customised once we have made a few.
 *
 * @package WordPress
 * @version 1.0
 */

$alert_content = get_option( 'options_alert_small_content' );
if ( $alert_content ) {
	$alert_end         = strtotime( get_option( 'options_alert_small_date_end' ) );
	$alert_start       = strtotime( get_option( 'options_alert_small_date_start' ) );
	$alert_page        = get_option( 'options_alert_small_location' );
	$alert_page_select = get_option( 'options_alert_small_location_select' );
	$today             = current_time( 'timestamp' );
	if ( $today >= $alert_start && $today <= $alert_end ) {
		if ( 'Selected Pages' === $alert_page ) {
			if ( is_page( $alert_page_select ) ) {
				get_template_part( 'partials/alert/small-inner' );
			}
		} else {
			get_template_part( 'partials/alert/small-inner' );
		}
	}
}
