<?php
/**
 * Sitemap partial, based on the main menu.
 *
 * @package WordPress
 */

if ( has_nav_menu( 'top' ) ) {
	wp_nav_menu(
		array(
			'container'      => false,
			'menu_class'     => 'sitemap',
			'theme_location' => 'top',
		)
	);
	echo '</nav>';
}
if ( has_nav_menu( 'main' ) ) {
	wp_nav_menu(
		array(
			'container'      => false,
			'menu_class'     => 'sitemap',
			'theme_location' => 'main',
		)
	);
}

/*
Can also use this option instead
<ul class="sitemap">
<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
</ul>
*/
