<?php
/**
 * Search form.
 *
 * @package WordPress
 * @version 1.0
 */

?>
<form role="search" class="page--404--search" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label class="page--404--search--field">
		<span class="screen-reader-text">Search for:</span>
		<input type="search" class="page--404--search--field--input" placeholder="Search" value="<?php echo esc_html( get_search_query() ); ?>" name="s" title="Search for:" />
	</label>
	<button type="submit" class="page--404--search--button">
		<?php fa( 'fa-search' ); ?>
	</button>
</form>
